<div class="filter-container" *ngIf="filters">
  <div class="filter">
    <app-portal-app-filter-category
      class="filter-category"
      [filterCategoriesLabel]="filterCategoriesLabel"
      [filterCategories]="filterCategories"
      (selectedFilterCategory)="onFilterSelectionChanged($event)">
    </app-portal-app-filter-category>
    <app-portal-app-filter-element
      class="filter-element"
      [filterOptionsLabel]="filterOptionsLabel"
      [name]="selectedFilter"
      [tags]="selectedFilter ? filters[selectedFilter] : undefined"
      [activeTags]="selectedFilter? activeFilters?.[selectedFilter] : undefined"
      (filtersSelected)="selectFilters($event)">
    </app-portal-app-filter-element>
  </div>
  <div class="filter-chips-container">
    <app-portal-app-filter-chips
      class="filter-chips"
      [activeFilters]="activeFilters"
      (filterSelected)="selectFilters($event)">
    </app-portal-app-filter-chips>
  </div>
</div>
